## pianobar 2011.11.11

=== Makefile ===
# makefile of pianobar

PREFIX:=/usr/local
BINDIR:=${PREFIX}/bin
LIBDIR:=${PREFIX}/lib
INCDIR:=${PREFIX}/include
MANDIR:=${PREFIX}/share/man
DYNLINK:=0

# Respect environment variables set by user; does not work with :=
ifeq (${CFLAGS},)
	CFLAGS=-O2 -DNDEBUG
endif
ifeq (${CC},cc)
	CC=c99
endif

PIANOBAR_DIR=src
PIANOBAR_SRC=\
		${PIANOBAR_DIR}/main.c \
		${PIANOBAR_DIR}/player.c \
		${PIANOBAR_DIR}/settings.c \
		${PIANOBAR_DIR}/terminal.c \
		${PIANOBAR_DIR}/ui_act.c \
		${PIANOBAR_DIR}/ui.c \
		${PIANOBAR_DIR}/ui_readline.c \
		${PIANOBAR_DIR}/ui_dispatch.c
PIANOBAR_HDR=\
		${PIANOBAR_DIR}/player.h \
		${PIANOBAR_DIR}/settings.h \
		${PIANOBAR_DIR}/terminal.h \
		${PIANOBAR_DIR}/ui_act.h \
		${PIANOBAR_DIR}/ui.h \
		${PIANOBAR_DIR}/ui_readline.h \
		${PIANOBAR_DIR}/main.h \
		${PIANOBAR_DIR}/config.h
PIANOBAR_OBJ=${PIANOBAR_SRC:.c=.o}

LIBPIANO_DIR=src/libpiano
LIBPIANO_SRC=\
		${LIBPIANO_DIR}/crypt.c \
		${LIBPIANO_DIR}/piano.c \
		${LIBPIANO_DIR}/xml.c
LIBPIANO_HDR=\
		${LIBPIANO_DIR}/config.h \
		${LIBPIANO_DIR}/crypt_key_output.h \
		${LIBPIANO_DIR}/xml.h \
		${LIBPIANO_DIR}/crypt.h \
		${LIBPIANO_DIR}/piano.h \
		${LIBPIANO_DIR}/crypt_key_input.h \
		${LIBPIANO_DIR}/piano_private.h
LIBPIANO_OBJ=${LIBPIANO_SRC:.c=.o}
LIBPIANO_RELOBJ=${LIBPIANO_SRC:.c=.lo}
LIBPIANO_INCLUDE=${LIBPIANO_DIR}

LIBWAITRESS_DIR=src/libwaitress
LIBWAITRESS_SRC=${LIBWAITRESS_DIR}/waitress.c
LIBWAITRESS_HDR=\
		${LIBWAITRESS_DIR}/config.h \
		${LIBWAITRESS_DIR}/waitress.h
LIBWAITRESS_OBJ=${LIBWAITRESS_SRC:.c=.o}
LIBWAITRESS_RELOBJ=${LIBWAITRESS_SRC:.c=.lo}
LIBWAITRESS_INCLUDE=${LIBWAITRESS_DIR}

LIBEZXML_DIR=src/libezxml
LIBEZXML_SRC=${LIBEZXML_DIR}/ezxml.c
LIBEZXML_HDR=${LIBEZXML_DIR}/ezxml.h
LIBEZXML_OBJ=${LIBEZXML_SRC:.c=.o}
LIBEZXML_RELOBJ=${LIBEZXML_SRC:.c=.lo}
LIBEZXML_INCLUDE=${LIBEZXML_DIR}

ifeq (${DISABLE_FAAD}, 1)
	LIBFAAD_CFLAGS=
	LIBFAAD_LDFLAGS=
else
	LIBFAAD_CFLAGS=-DENABLE_FAAD
	LIBFAAD_LDFLAGS=-lfaad
endif

ifeq (${DISABLE_MAD}, 1)
	LIBMAD_CFLAGS=
	LIBMAD_LDFLAGS=
else
	LIBMAD_CFLAGS=-DENABLE_MAD
	LIBMAD_LDFLAGS=-lmad
endif

LIBGNUTLS_CFLAGS=
LIBGNUTLS_LDFLAGS=-lgnutls

# build pianobar
ifeq (${DYNLINK},1)
pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} libpiano.so.0
	${CC} -o $@ ${PIANOBAR_OBJ} ${LDFLAGS} -lao -lpthread -lm -L. -lpiano \
			${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} ${LIBGNUTLS_LDFLAGS}
else
pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} \
		${LIBWAITRESS_HDR} ${LIBEZXML_OBJ} ${LIBEZXML_HDR}
	${CC} ${CFLAGS} ${LDFLAGS} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} \
			${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ} -lao -lpthread -lm \
			${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} ${LIBGNUTLS_LDFLAGS} -o $@
endif

# build shared and static libpiano
libpiano.so.0: ${LIBPIANO_RELOBJ} ${LIBPIANO_HDR} ${LIBWAITRESS_RELOBJ} \
		${LIBWAITRESS_HDR} ${LIBEZXML_RELOBJ} ${LIBEZXML_HDR} \
		${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ}
	${CC} -shared -Wl,-soname,libpiano.so.0 ${CFLAGS} ${LDFLAGS} \
			-o libpiano.so.0.0.0 ${LIBPIANO_RELOBJ} \
			${LIBWAITRESS_RELOBJ} ${LIBEZXML_RELOBJ}
	ln -s libpiano.so.0.0.0 libpiano.so.0
	ln -s libpiano.so.0 libpiano.so
	${AR} rcs libpiano.a ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ}

%.o: %.c
	${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
			-I ${LIBEZXML_INCLUDE} ${LIBFAAD_CFLAGS} \
			${LIBMAD_CFLAGS} ${LIBGNUTLS_CFLAGS} -c -o $@ $<

# create position independent code (for shared libraries)
%.lo: %.c
	${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
			-I ${LIBEZXML_INCLUDE} -c -fPIC -o $@ $<

clean:
	${RM} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBWAITRESS_OBJ}/test.o \
			${LIBEZXML_OBJ} ${LIBPIANO_RELOBJ} ${LIBWAITRESS_RELOBJ} \
			${LIBEZXML_RELOBJ} pianobar libpiano.so* libpiano.a waitress-test

all: pianobar

debug: pianobar
debug: CFLAGS=-Wall -pedantic -ggdb

waitress-test: CFLAGS+= -DTEST
waitress-test: ${LIBWAITRESS_OBJ}
	${CC} ${LDFLAGS} ${LIBWAITRESS_OBJ} ${LIBGNUTLS_LDFLAGS} -o waitress-test

test: waitress-test
	./waitress-test

ifeq (${DYNLINK},1)
install: pianobar install-libpiano
else
install: pianobar
endif
	install -d ${DESTDIR}/${BINDIR}/
	install -m755 pianobar ${DESTDIR}/${BINDIR}/
	install -d ${DESTDIR}/${MANDIR}/man1/
	install -m644 contrib/pianobar.1 ${DESTDIR}/${MANDIR}/man1/

install-libpiano:
	install -d ${DESTDIR}/${LIBDIR}/
	install -m644 libpiano.so.0.0.0 ${DESTDIR}/${LIBDIR}/
	ln -s libpiano.so.0.0.0 ${DESTDIR}/${LIBDIR}/libpiano.so.0
	ln -s libpiano.so.0 ${DESTDIR}/${LIBDIR}/libpiano.so
	install -m644 libpiano.a ${DESTDIR}/${LIBDIR}/
	install -d ${DESTDIR}/${INCDIR}/
	install -m644 src/libpiano/piano.h ${DESTDIR}/${INCDIR}/

.PHONY: install install-libpiano test debug all

=== debian/changelog ===
pianobar (2011.11.11-1) unstable; urgency=high

  * New upstream version 
    - SSL support and XMLRPC api version compatibility (v33) 
      (closes: #648209, LP: #887886)

 -- Luke Faraone <lfaraone@debian.org>  Wed, 16 Nov 2011 14:26:36 -0500

=== debian/control ===
Source: pianobar
Section: sound
Priority: optional
Maintainer: Luke Faraone <lfaraone@debian.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), libao-dev, libfaad-dev, libmad0-dev, libpth-dev, libgnutls-dev
Standards-Version: 3.9.2
Vcs-Bzr: http://anonscm.debian.org/bzr/collab-maint/pianobar
Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/pianobar
Homepage: http://6xq.net/html/00/17.html

Package: pianobar
Architecture: any
Depends: ${shlibs:Depends},  ${misc:Depends},
Suggests: libaudio-scrobbler-perl
Description: console based player for Pandora radio
 pianobar is a cross-platform console client for the personalized web radio 
 Pandora, supporting all important features the official Flash™ client has:
 .
    * Create, delete, rename stations and add more music
    * Rate and temporary ban tracks as well as move them to another station
    * “Shared stations”
 .
 and some that it does not have (yet):
 .
    * last.fm scrobbling
    * Proxy support for use in areas not supported by Pandora (outside the USA)
 .
 You need an account in order to use this player, so please consider
 create one for free before using pianobar at http://pandora.com. 

Package: libpiano0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},  ${misc:Depends},
Description: library to interface with Pandora radio -- runtime files
 libpiano is a cross-platform library to interface with the personalized 
 web radio Pandora, supporting all important features the official Flash™ 
 client has:
 .
    * Create, delete, rename stations and add more music
    * Rate and temporary ban tracks as well as move them to another station
    * “Shared stations”
 .
 and some that it does not have (yet):
 .
    * last.fm scrobbling
    * Proxy support for use in areas not supported by Pandora (outside the USA)
 .
 You need an account in order to use this player, so please consider
 create one for free before using pianobar at http://pandora.com.
 . 
 This package provides the runtime files used to run application
 built against libpiano.

Package: libpiano-dev
Architecture: any
Section: libdevel
Depends: libpiano0 (= ${binary:Version}), ${misc:Depends}
Description: library to interface with Pandora radio -- development
 libpiano is a cross-platform library to interface with the personalized 
 web radio Pandora, supporting all important features the official Flash™ 
 client has:
 .
    * Create, delete, rename stations and add more music
    * Rate and temporary ban tracks as well as move them to another station
    * “Shared stations”
 .
 and some that it does not have (yet):
 .
    * last.fm scrobbling
    * Proxy support for use in areas not supported by Pandora (outside the USA)
 .
 You need an account in order to use this player, so please consider
 create one for free before using pianobar at http://pandora.com.
 .
 This package provides the development files used to build application
 using libpiano.

## pianobar 2011.12.11

=== Makefile ===
--- 
+++ 
@@ -105,7 +105,7 @@
 libpiano.so.0: ${LIBPIANO_RELOBJ} ${LIBPIANO_HDR} ${LIBWAITRESS_RELOBJ} \
 		${LIBWAITRESS_HDR} ${LIBEZXML_RELOBJ} ${LIBEZXML_HDR} \
 		${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ}
-	${CC} -shared -Wl,-soname,libpiano.so.0 ${CFLAGS} ${LDFLAGS} \
+	${CC} -shared -Wl,-soname,libpiano.so.0 ${CFLAGS} ${LDFLAGS} ${LIBGNUTLS_LDFLAGS} \
 			-o libpiano.so.0.0.0 ${LIBPIANO_RELOBJ} \
 			${LIBWAITRESS_RELOBJ} ${LIBEZXML_RELOBJ}
 	ln -s libpiano.so.0.0.0 libpiano.so.0

=== debian/changelog ===
pianobar (2011.12.11-1~ubuntu11.10.1) oneiric-proposed; urgency=low

  * Upload fixed version to Ubuntu (LP: #887886)

 -- Luke Faraone <lfaraone@ubuntu.com>  Wed, 11 Jan 2012 16:18:09 -0500

pianobar (2011.12.11-1) unstable; urgency=low

  * New upstream version

 -- Luke Faraone <lfaraone@debian.org>  Thu, 05 Jan 2012 00:14:48 -0500

=== debian/watch ===
# Vcs-Git: git://github.com/PromyLOPh/pianobar.git
version=3
http://6xq.net/projects/pianobar/ ../../static/projects/pianobar/pianobar-(.*)\.tar\.bz2

## pianobar 2012.01.10

=== Makefile ===
--- 
+++ 
@@ -91,12 +91,14 @@
 # build pianobar
 ifeq (${DYNLINK},1)
 pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} libpiano.so.0
-	${CC} -o $@ ${PIANOBAR_OBJ} ${LDFLAGS} -lao -lpthread -lm -L. -lpiano \
+	@echo "  LINK  $@"
+	@${CC} -o $@ ${PIANOBAR_OBJ} ${LDFLAGS} -lao -lpthread -lm -L. -lpiano \
 			${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} ${LIBGNUTLS_LDFLAGS}
 else
 pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} \
 		${LIBWAITRESS_HDR} ${LIBEZXML_OBJ} ${LIBEZXML_HDR}
-	${CC} ${CFLAGS} ${LDFLAGS} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} \
+	@echo "  LINK  $@"
+	@${CC} ${CFLAGS} ${LDFLAGS} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} \
 			${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ} -lao -lpthread -lm \
 			${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} ${LIBGNUTLS_LDFLAGS} -o $@
 endif
@@ -105,32 +107,62 @@
 libpiano.so.0: ${LIBPIANO_RELOBJ} ${LIBPIANO_HDR} ${LIBWAITRESS_RELOBJ} \
 		${LIBWAITRESS_HDR} ${LIBEZXML_RELOBJ} ${LIBEZXML_HDR} \
 		${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ}
-	${CC} -shared -Wl,-soname,libpiano.so.0 ${CFLAGS} ${LDFLAGS} ${LIBGNUTLS_LDFLAGS} \
+	@echo "  LINK  $@"
+	@${CC} -shared -Wl,-soname,libpiano.so.0 ${CFLAGS} ${LDFLAGS} ${LIBGNUTLS_LDFLAGS} \
 			-o libpiano.so.0.0.0 ${LIBPIANO_RELOBJ} \
 			${LIBWAITRESS_RELOBJ} ${LIBEZXML_RELOBJ}
-	ln -s libpiano.so.0.0.0 libpiano.so.0
-	ln -s libpiano.so.0 libpiano.so
-	${AR} rcs libpiano.a ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ}
+	@ln -s libpiano.so.0.0.0 libpiano.so.0
+	@ln -s libpiano.so.0 libpiano.so
+	@echo "    AR  libpiano.a"
+	@${AR} rcs libpiano.a ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ}
 
 %.o: %.c
-	${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
+	@echo "    CC  $<"
+	@${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
 			-I ${LIBEZXML_INCLUDE} ${LIBFAAD_CFLAGS} \
 			${LIBMAD_CFLAGS} ${LIBGNUTLS_CFLAGS} -c -o $@ $<
 
 # create position independent code (for shared libraries)
 %.lo: %.c
-	${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
+	@echo "    CC  $< (PIC)"
+	@${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
 			-I ${LIBEZXML_INCLUDE} -c -fPIC -o $@ $<
 
 clean:
-	${RM} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBWAITRESS_OBJ}/test.o \
+	@echo " CLEAN"
+	@${RM} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBWAITRESS_OBJ}/test.o \
 			${LIBEZXML_OBJ} ${LIBPIANO_RELOBJ} ${LIBWAITRESS_RELOBJ} \
 			${LIBEZXML_RELOBJ} pianobar libpiano.so* libpiano.a waitress-test
 
 all: pianobar
 
 debug: pianobar
-debug: CFLAGS=-Wall -pedantic -ggdb
+debug: CFLAGS=-pedantic -ggdb -Wall -Wmissing-declarations -Wshadow -Wcast-qual \
+		-Wformat=2 -Winit-self -Wignored-qualifiers -Wmissing-include-dirs \
+		-Wfloat-equal -Wundef -Wpointer-arith -Wtype-limits -Wbad-function-cast \
+		-Wcast-align -Wclobbered -Wempty-body -Wjump-misses-init -Waddress \
+		-Wlogical-op -Waggregate-return -Wstrict-prototypes \
+		-Wold-style-declaration -Wold-style-definition -Wmissing-parameter-type \
+		-Wmissing-prototypes -Wmissing-field-initializers -Woverride-init \
+		-Wpacked -Wredundant-decls -Wnested-externs
+# warnings for gcc 4.5; disabled:
+# -Wswitch-default: too many bogus warnings
+# -Wswitch-enum: too many bogus warnings
+# -Wunused-parameter: too many bogus warnings
+# -Wstrict-overflow: depends on optimization level
+# -Wunsafe-loop-optimizations: depends on optimization level
+# -Wwrite-strings: to be enabled
+# -Wconversion: too many (bogus?) warnings
+# -Wsign-conversion: same here
+# -Wsign-compare: to be enabled
+# -Wmissing-noreturn: recommendation
+# -Wmissing-format-attribute: same here
+# -Wpadded: have a closer look at this one
+# -Winline: we don't care
+# -Winvalid-pch: not our business
+# -Wdisabled-optimization: depends on optimization level
+# -Wstack-protector: we don't use stack protector
+# -Woverlength-strings: over-portability-ish
 
 waitress-test: CFLAGS+= -DTEST
 waitress-test: ${LIBWAITRESS_OBJ}

=== debian/changelog ===
pianobar (2012.01.10-1) unstable; urgency=high

  * New upstream version. (closes: #655744)
  * Update debian/watch to point to new download URL.
  * Review and update debian/copyright.
  * Compy with standards version 3.9.2.

 -- Luke Faraone <lfaraone@debian.org>  Sat, 10 Mar 2012 04:55:05 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Luke Faraone <lfaraone@debian.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), libao-dev, libfaad-dev, libmad0-dev, libpth-dev, libgnutls-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Bzr: http://anonscm.debian.org/bzr/collab-maint/pianobar
 Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/pianobar
 Homepage: http://6xq.net/html/00/17.html

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_EXTRA_ARGS=DYNLINK=1
DEB_MAKE_INSTALL_TARGET=install PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp

CFLAGS += -std=c99

## pianobar 2012.05.06

=== Makefile ===
--- 
+++ 
@@ -40,14 +40,12 @@
 LIBPIANO_SRC=\
 		${LIBPIANO_DIR}/crypt.c \
 		${LIBPIANO_DIR}/piano.c \
-		${LIBPIANO_DIR}/xml.c
+		${LIBPIANO_DIR}/request.c \
+		${LIBPIANO_DIR}/response.c
 LIBPIANO_HDR=\
 		${LIBPIANO_DIR}/config.h \
-		${LIBPIANO_DIR}/crypt_key_output.h \
-		${LIBPIANO_DIR}/xml.h \
 		${LIBPIANO_DIR}/crypt.h \
 		${LIBPIANO_DIR}/piano.h \
-		${LIBPIANO_DIR}/crypt_key_input.h \
 		${LIBPIANO_DIR}/piano_private.h
 LIBPIANO_OBJ=${LIBPIANO_SRC:.c=.o}
 LIBPIANO_RELOBJ=${LIBPIANO_SRC:.c=.lo}
@@ -61,13 +59,6 @@
 LIBWAITRESS_OBJ=${LIBWAITRESS_SRC:.c=.o}
 LIBWAITRESS_RELOBJ=${LIBWAITRESS_SRC:.c=.lo}
 LIBWAITRESS_INCLUDE=${LIBWAITRESS_DIR}
-
-LIBEZXML_DIR=src/libezxml
-LIBEZXML_SRC=${LIBEZXML_DIR}/ezxml.c
-LIBEZXML_HDR=${LIBEZXML_DIR}/ezxml.h
-LIBEZXML_OBJ=${LIBEZXML_SRC:.c=.o}
-LIBEZXML_RELOBJ=${LIBEZXML_SRC:.c=.lo}
-LIBEZXML_INCLUDE=${LIBEZXML_DIR}
 
 ifeq (${DISABLE_FAAD}, 1)
 	LIBFAAD_CFLAGS=
@@ -88,51 +79,60 @@
 LIBGNUTLS_CFLAGS=
 LIBGNUTLS_LDFLAGS=-lgnutls
 
+LIBGCRYPT_CFLAGS=
+LIBGCRYPT_LDFLAGS=-lgcrypt
+
+LIBJSONC_CFLAGS=$(shell pkg-config --cflags json)
+LIBJSONC_LDFLAGS=$(shell pkg-config --libs json)
+
 # build pianobar
 ifeq (${DYNLINK},1)
 pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} libpiano.so.0
 	@echo "  LINK  $@"
 	@${CC} -o $@ ${PIANOBAR_OBJ} ${LDFLAGS} -lao -lpthread -lm -L. -lpiano \
-			${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} ${LIBGNUTLS_LDFLAGS}
+			${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} ${LIBGNUTLS_LDFLAGS} \
+			${LIBGCRYPT_LDFLAGS} ${LIBJSONC_LDFLAGS}
 else
 pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} \
-		${LIBWAITRESS_HDR} ${LIBEZXML_OBJ} ${LIBEZXML_HDR}
+		${LIBWAITRESS_HDR}
 	@echo "  LINK  $@"
 	@${CC} ${CFLAGS} ${LDFLAGS} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} \
-			${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ} -lao -lpthread -lm \
-			${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} ${LIBGNUTLS_LDFLAGS} -o $@
+			${LIBWAITRESS_OBJ} -lao -lpthread -lm \
+			${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} ${LIBGNUTLS_LDFLAGS} \
+			${LIBGCRYPT_LDFLAGS} ${LIBJSONC_LDFLAGS} -o $@
 endif
 
 # build shared and static libpiano
 libpiano.so.0: ${LIBPIANO_RELOBJ} ${LIBPIANO_HDR} ${LIBWAITRESS_RELOBJ} \
-		${LIBWAITRESS_HDR} ${LIBEZXML_RELOBJ} ${LIBEZXML_HDR} \
-		${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ}
+		${LIBWAITRESS_HDR} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ}
 	@echo "  LINK  $@"
-	@${CC} -shared -Wl,-soname,libpiano.so.0 ${CFLAGS} ${LDFLAGS} ${LIBGNUTLS_LDFLAGS} \
+	@${CC} -shared -Wl,-soname,libpiano.so.0 ${CFLAGS} ${LDFLAGS} \
+			${LIBGNUTLS_LDFLAGS} ${LIBGCRYPT_LDFLAGS} \
 			-o libpiano.so.0.0.0 ${LIBPIANO_RELOBJ} \
-			${LIBWAITRESS_RELOBJ} ${LIBEZXML_RELOBJ}
+			${LIBWAITRESS_RELOBJ}
 	@ln -s libpiano.so.0.0.0 libpiano.so.0
 	@ln -s libpiano.so.0 libpiano.so
 	@echo "    AR  libpiano.a"
-	@${AR} rcs libpiano.a ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBEZXML_OBJ}
+	@${AR} rcs libpiano.a ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ}
 
 %.o: %.c
 	@echo "    CC  $<"
 	@${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
-			-I ${LIBEZXML_INCLUDE} ${LIBFAAD_CFLAGS} \
-			${LIBMAD_CFLAGS} ${LIBGNUTLS_CFLAGS} -c -o $@ $<
+			${LIBFAAD_CFLAGS} ${LIBMAD_CFLAGS} ${LIBGNUTLS_CFLAGS} \
+			${LIBJSONC_CFLAGS} -c -o $@ $<
 
 # create position independent code (for shared libraries)
 %.lo: %.c
 	@echo "    CC  $< (PIC)"
 	@${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
-			-I ${LIBEZXML_INCLUDE} -c -fPIC -o $@ $<
+			${LIBJSONC_CFLAGS} \
+			-c -fPIC -o $@ $<
 
 clean:
 	@echo " CLEAN"
 	@${RM} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBWAITRESS_OBJ}/test.o \
-			${LIBEZXML_OBJ} ${LIBPIANO_RELOBJ} ${LIBWAITRESS_RELOBJ} \
-			${LIBEZXML_RELOBJ} pianobar libpiano.so* libpiano.a waitress-test
+			${LIBPIANO_RELOBJ} ${LIBWAITRESS_RELOBJ} pianobar libpiano.so* \
+			libpiano.a waitress-test
 
 all: pianobar

=== debian/changelog ===
pianobar (2012.05.06-2) unstable; urgency=high

  * Depend on pkg-config, fix FTBFS. (closes: #672041)

 -- Luke Faraone <lfaraone@debian.org>  Mon, 21 May 2012 14:02:01 -0400

pianobar (2012.05.06-1) unstable; urgency=high

  * New upstream version.
    - JSON api support (closes: #670483, LP: #988395)

 -- Luke Faraone <lfaraone@debian.org>  Sun, 06 May 2012 14:24:34 -0400

## pianobar 2012.12.01

=== Makefile ===
--- 
+++ 
@@ -73,11 +73,12 @@
 	LIBMAD_LDFLAGS=
 else
 	LIBMAD_CFLAGS=-DENABLE_MAD
-	LIBMAD_LDFLAGS=-lmad
-endif
-
-LIBGNUTLS_CFLAGS=
-LIBGNUTLS_LDFLAGS=-lgnutls
+	LIBMAD_CFLAGS+=$(shell pkg-config --cflags mad)
+	LIBMAD_LDFLAGS=$(shell pkg-config --libs mad)
+endif
+
+LIBGNUTLS_CFLAGS=$(shell pkg-config --cflags gnutls)
+LIBGNUTLS_LDFLAGS=$(shell pkg-config --libs gnutls)
 
 LIBGCRYPT_CFLAGS=
 LIBGCRYPT_LDFLAGS=-lgcrypt
@@ -90,8 +91,7 @@
 pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} libpiano.so.0
 	@echo "  LINK  $@"
 	@${CC} -o $@ ${PIANOBAR_OBJ} ${LDFLAGS} -lao -lpthread -lm -L. -lpiano \
-			${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} ${LIBGNUTLS_LDFLAGS} \
-			${LIBGCRYPT_LDFLAGS} ${LIBJSONC_LDFLAGS}
+			${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} ${LIBGNUTLS_LDFLAGS}
 else
 pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} \
 		${LIBWAITRESS_HDR}
@@ -107,19 +107,34 @@
 		${LIBWAITRESS_HDR} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ}
 	@echo "  LINK  $@"
 	@${CC} -shared -Wl,-soname,libpiano.so.0 ${CFLAGS} ${LDFLAGS} \
-			${LIBGNUTLS_LDFLAGS} ${LIBGCRYPT_LDFLAGS} \
 			-o libpiano.so.0.0.0 ${LIBPIANO_RELOBJ} \
-			${LIBWAITRESS_RELOBJ}
+			${LIBWAITRESS_RELOBJ} ${LIBGNUTLS_LDFLAGS} ${LIBGCRYPT_LDFLAGS} \
+			${LIBJSONC_LDFLAGS}
 	@ln -s libpiano.so.0.0.0 libpiano.so.0
 	@ln -s libpiano.so.0 libpiano.so
 	@echo "    AR  libpiano.a"
 	@${AR} rcs libpiano.a ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ}
 
+
+# build dependency files
+%.d: %.c
+	@set -e; rm -f $@; \
+			$(CC) -M ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
+			${LIBFAAD_CFLAGS} ${LIBMAD_CFLAGS} ${LIBGNUTLS_CFLAGS} \
+			${LIBGCRYPT_CFLAGS} ${LIBJSONC_CFLAGS} $< > $@.$$$$; \
+			sed '1 s,^.*\.o[ :]*,$*.o $@ : ,g' < $@.$$$$ > $@; \
+			rm -f $@.$$$$
+
+-include $(PIANOBAR_SRC:.c=.d)
+-include $(LIBPIANO_SRC:.c=.d)
+-include $(LIBWAITRESS_SRC:.c=.d)
+
+# build standard object files
 %.o: %.c
 	@echo "    CC  $<"
 	@${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
 			${LIBFAAD_CFLAGS} ${LIBMAD_CFLAGS} ${LIBGNUTLS_CFLAGS} \
-			${LIBJSONC_CFLAGS} -c -o $@ $<
+			${LIBGCRYPT_CFLAGS} ${LIBJSONC_CFLAGS} -c -o $@ $<
 
 # create position independent code (for shared libraries)
 %.lo: %.c
@@ -132,7 +147,8 @@
 	@echo " CLEAN"
 	@${RM} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBWAITRESS_OBJ}/test.o \
 			${LIBPIANO_RELOBJ} ${LIBWAITRESS_RELOBJ} pianobar libpiano.so* \
-			libpiano.a waitress-test
+			libpiano.a waitress-test $(PIANOBAR_SRC:.c=.d) $(LIBPIANO_SRC:.c=.d) \
+			$(LIBWAITRESS_SRC:.c=.d)
 
 all: pianobar

=== debian/changelog ===
pianobar (2012.12.01-1ubuntu1) raring; urgency=low

  * Added missing gcrypt lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 31 Mar 2013 21:46:51 -0400

pianobar (2012.12.01-1) unstable; urgency=high

  * New upstream release. (LP: #1081450)
    - Fixes TLS handshake bug which broke previous releases.

 -- Luke Faraone <lfaraone@debian.org>  Sat, 01 Dec 2012 16:46:21 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: pianobar
 Section: sound
 Priority: optional
-Maintainer: Luke Faraone <lfaraone@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Luke Faraone <lfaraone@debian.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>
-Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), libao-dev, libfaad-dev, libmad0-dev, libpth-dev, libgnutls-dev
+Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), libao-dev, libfaad-dev, libmad0-dev, libpth-dev, libgnutls-dev, libgcrypt11-dev, libjson0-dev, pkg-config
 Standards-Version: 3.9.3
 Vcs-Bzr: http://anonscm.debian.org/bzr/collab-maint/pianobar
 Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/pianobar

## pianobar 2013.09.15

=== Makefile ===
--- 
+++ 
@@ -12,11 +12,18 @@
 	CFLAGS=-O2 -DNDEBUG
 endif
 ifeq (${CC},cc)
-	CC=c99
-endif
-
-PIANOBAR_DIR=src
-PIANOBAR_SRC=\
+	OS := $(shell uname)
+	ifeq (${OS},Darwin)
+		CC=gcc -std=c99
+	else ifeq (${OS},FreeBSD)
+		CC=cc -std=c99
+	else
+		CC=c99
+	endif
+endif
+
+PIANOBAR_DIR:=src
+PIANOBAR_SRC:=\
 		${PIANOBAR_DIR}/main.c \
 		${PIANOBAR_DIR}/player.c \
 		${PIANOBAR_DIR}/settings.c \
@@ -25,7 +32,7 @@
 		${PIANOBAR_DIR}/ui.c \
 		${PIANOBAR_DIR}/ui_readline.c \
 		${PIANOBAR_DIR}/ui_dispatch.c
-PIANOBAR_HDR=\
+PIANOBAR_HDR:=\
 		${PIANOBAR_DIR}/player.h \
 		${PIANOBAR_DIR}/settings.h \
 		${PIANOBAR_DIR}/terminal.h \
@@ -34,64 +41,69 @@
 		${PIANOBAR_DIR}/ui_readline.h \
 		${PIANOBAR_DIR}/main.h \
 		${PIANOBAR_DIR}/config.h
-PIANOBAR_OBJ=${PIANOBAR_SRC:.c=.o}
-
-LIBPIANO_DIR=src/libpiano
-LIBPIANO_SRC=\
+PIANOBAR_OBJ:=${PIANOBAR_SRC:.c=.o}
+
+LIBPIANO_DIR:=src/libpiano
+LIBPIANO_SRC:=\
 		${LIBPIANO_DIR}/crypt.c \
 		${LIBPIANO_DIR}/piano.c \
 		${LIBPIANO_DIR}/request.c \
-		${LIBPIANO_DIR}/response.c
-LIBPIANO_HDR=\
+		${LIBPIANO_DIR}/response.c \
+		${LIBPIANO_DIR}/list.c
+LIBPIANO_HDR:=\
 		${LIBPIANO_DIR}/config.h \
 		${LIBPIANO_DIR}/crypt.h \
 		${LIBPIANO_DIR}/piano.h \
 		${LIBPIANO_DIR}/piano_private.h
-LIBPIANO_OBJ=${LIBPIANO_SRC:.c=.o}
-LIBPIANO_RELOBJ=${LIBPIANO_SRC:.c=.lo}
-LIBPIANO_INCLUDE=${LIBPIANO_DIR}
-
-LIBWAITRESS_DIR=src/libwaitress
-LIBWAITRESS_SRC=${LIBWAITRESS_DIR}/waitress.c
-LIBWAITRESS_HDR=\
+LIBPIANO_OBJ:=${LIBPIANO_SRC:.c=.o}
+LIBPIANO_RELOBJ:=${LIBPIANO_SRC:.c=.lo}
+LIBPIANO_INCLUDE:=${LIBPIANO_DIR}
+
+LIBWAITRESS_DIR:=src/libwaitress
+LIBWAITRESS_SRC:=${LIBWAITRESS_DIR}/waitress.c
+LIBWAITRESS_HDR:=\
 		${LIBWAITRESS_DIR}/config.h \
 		${LIBWAITRESS_DIR}/waitress.h
-LIBWAITRESS_OBJ=${LIBWAITRESS_SRC:.c=.o}
-LIBWAITRESS_RELOBJ=${LIBWAITRESS_SRC:.c=.lo}
-LIBWAITRESS_INCLUDE=${LIBWAITRESS_DIR}
+LIBWAITRESS_OBJ:=${LIBWAITRESS_SRC:.c=.o}
+LIBWAITRESS_RELOBJ:=${LIBWAITRESS_SRC:.c=.lo}
+LIBWAITRESS_INCLUDE:=${LIBWAITRESS_DIR}
+
+LIBWAITRESS_TEST_SRC=${LIBWAITRESS_DIR}/waitress-test.c
+LIBWAITRESS_TEST_OBJ:=${LIBWAITRESS_TEST_SRC:.c=.o}
 
 ifeq (${DISABLE_FAAD}, 1)
-	LIBFAAD_CFLAGS=
-	LIBFAAD_LDFLAGS=
-else
-	LIBFAAD_CFLAGS=-DENABLE_FAAD
-	LIBFAAD_LDFLAGS=-lfaad
+	LIBFAAD_CFLAGS:=
+	LIBFAAD_LDFLAGS:=
+else
+	LIBFAAD_CFLAGS:=-DENABLE_FAAD
+	LIBFAAD_LDFLAGS:=-lfaad
 endif
 
 ifeq (${DISABLE_MAD}, 1)
-	LIBMAD_CFLAGS=
-	LIBMAD_LDFLAGS=
-else
-	LIBMAD_CFLAGS=-DENABLE_MAD
+	LIBMAD_CFLAGS:=
+	LIBMAD_LDFLAGS:=
+else
+	LIBMAD_CFLAGS:=-DENABLE_MAD
 	LIBMAD_CFLAGS+=$(shell pkg-config --cflags mad)
-	LIBMAD_LDFLAGS=$(shell pkg-config --libs mad)
-endif
-
-LIBGNUTLS_CFLAGS=$(shell pkg-config --cflags gnutls)
-LIBGNUTLS_LDFLAGS=$(shell pkg-config --libs gnutls)
-
-LIBGCRYPT_CFLAGS=
-LIBGCRYPT_LDFLAGS=-lgcrypt
-
-LIBJSONC_CFLAGS=$(shell pkg-config --cflags json)
-LIBJSONC_LDFLAGS=$(shell pkg-config --libs json)
+	LIBMAD_LDFLAGS:=$(shell pkg-config --libs mad)
+endif
+
+LIBGNUTLS_CFLAGS:=$(shell pkg-config --cflags gnutls)
+LIBGNUTLS_LDFLAGS:=$(shell pkg-config --libs gnutls)
+
+LIBGCRYPT_CFLAGS:=
+LIBGCRYPT_LDFLAGS:=-lgcrypt
+
+LIBJSONC_CFLAGS:=$(shell pkg-config --cflags json-c 2>/dev/null || pkg-config --cflags json)
+LIBJSONC_LDFLAGS:=$(shell pkg-config --libs json-c 2>/dev/null || pkg-config --libs json)
 
 # build pianobar
 ifeq (${DYNLINK},1)
 pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} libpiano.so.0
 	@echo "  LINK  $@"
 	@${CC} -o $@ ${PIANOBAR_OBJ} ${LDFLAGS} -lao -lpthread -lm -L. -lpiano \
-			${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} ${LIBGNUTLS_LDFLAGS}
+			${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} ${LIBGNUTLS_LDFLAGS} \
+			${LIBGCRYPT_LDFLAGS}
 else
 pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} \
 		${LIBWAITRESS_HDR}
@@ -180,9 +192,8 @@
 # -Wstack-protector: we don't use stack protector
 # -Woverlength-strings: over-portability-ish
 
-waitress-test: CFLAGS+= -DTEST
-waitress-test: ${LIBWAITRESS_OBJ}
-	${CC} ${LDFLAGS} ${LIBWAITRESS_OBJ} ${LIBGNUTLS_LDFLAGS} -o waitress-test
+waitress-test: ${LIBWAITRESS_TEST_OBJ}
+	${CC} ${LDFLAGS} ${LIBWAITRESS_TEST_OBJ} ${LIBGNUTLS_LDFLAGS} -o waitress-test
 
 test: waitress-test
 	./waitress-test

=== debian/changelog ===
pianobar (2013.09.15-1) unstable; urgency=low

  * New upstream release.
    - Additional fixes to enable Pandora One streaming (closes: #700481)
  * Increase standards version; no changes required.

 -- Luke Faraone <lfaraone@debian.org>  Tue, 17 Sep 2013 14:22:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: pianobar
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luke Faraone <lfaraone@debian.org>
+Maintainer: Luke Faraone <lfaraone@debian.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), libao-dev, libfaad-dev, libmad0-dev, libpth-dev, libgnutls-dev, libgcrypt11-dev, libjson0-dev, pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Bzr: http://anonscm.debian.org/bzr/collab-maint/pianobar
 Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/pianobar
 Homepage: http://6xq.net/html/00/17.html

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,3 @@
 
 DEB_MAKE_EXTRA_ARGS=DYNLINK=1
 DEB_MAKE_INSTALL_TARGET=install PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp
-
-CFLAGS += -std=c99

=== debian/watch ===
# Vcs-Git: git://github.com/PromyLOPh/pianobar.git
version=3
http://6xq.net/projects/pianobar/ pianobar-(.*)\.tar\.bz2

## pianobar 2014.06.08

=== Makefile ===
# makefile of pianobar

PREFIX:=/usr/local
BINDIR:=${PREFIX}/bin
LIBDIR:=${PREFIX}/lib
INCDIR:=${PREFIX}/include
MANDIR:=${PREFIX}/share/man
DYNLINK:=0

# Respect environment variables set by user; does not work with :=
ifeq (${CFLAGS},)
	CFLAGS=-O2 -DNDEBUG
endif
ifeq (${CC},cc)
	OS := $(shell uname)
	ifeq (${OS},Darwin)
		CC=gcc -std=c99
	else ifeq (${OS},FreeBSD)
		CC=cc -std=c99
	else ifeq (${OS},OpenBSD)
		CC=cc -std=c99
	else
		CC=c99
	endif
endif

PIANOBAR_DIR:=src
PIANOBAR_SRC:=\
		${PIANOBAR_DIR}/main.c \
		${PIANOBAR_DIR}/player.c \
		${PIANOBAR_DIR}/settings.c \
		${PIANOBAR_DIR}/terminal.c \
		${PIANOBAR_DIR}/ui_act.c \
		${PIANOBAR_DIR}/ui.c \
		${PIANOBAR_DIR}/ui_readline.c \
		${PIANOBAR_DIR}/ui_dispatch.c
PIANOBAR_HDR:=\
		${PIANOBAR_DIR}/player.h \
		${PIANOBAR_DIR}/settings.h \
		${PIANOBAR_DIR}/terminal.h \
		${PIANOBAR_DIR}/ui_act.h \
		${PIANOBAR_DIR}/ui.h \
		${PIANOBAR_DIR}/ui_readline.h \
		${PIANOBAR_DIR}/main.h \
		${PIANOBAR_DIR}/config.h
PIANOBAR_OBJ:=${PIANOBAR_SRC:.c=.o}

LIBPIANO_DIR:=src/libpiano
LIBPIANO_SRC:=\
		${LIBPIANO_DIR}/crypt.c \
		${LIBPIANO_DIR}/piano.c \
		${LIBPIANO_DIR}/request.c \
		${LIBPIANO_DIR}/response.c \
		${LIBPIANO_DIR}/list.c
LIBPIANO_HDR:=\
		${LIBPIANO_DIR}/config.h \
		${LIBPIANO_DIR}/crypt.h \
		${LIBPIANO_DIR}/piano.h \
		${LIBPIANO_DIR}/piano_private.h
LIBPIANO_OBJ:=${LIBPIANO_SRC:.c=.o}
LIBPIANO_RELOBJ:=${LIBPIANO_SRC:.c=.lo}
LIBPIANO_INCLUDE:=${LIBPIANO_DIR}

LIBWAITRESS_DIR:=src/libwaitress
LIBWAITRESS_SRC:=${LIBWAITRESS_DIR}/waitress.c
LIBWAITRESS_HDR:=\
		${LIBWAITRESS_DIR}/config.h \
		${LIBWAITRESS_DIR}/waitress.h
LIBWAITRESS_OBJ:=${LIBWAITRESS_SRC:.c=.o}
LIBWAITRESS_RELOBJ:=${LIBWAITRESS_SRC:.c=.lo}
LIBWAITRESS_INCLUDE:=${LIBWAITRESS_DIR}

LIBWAITRESS_TEST_SRC=${LIBWAITRESS_DIR}/waitress-test.c
LIBWAITRESS_TEST_OBJ:=${LIBWAITRESS_TEST_SRC:.c=.o}

LIBAV_CFLAGS=$(shell pkg-config --cflags libavcodec libavformat libavutil libavfilter)
LIBAV_LDFLAGS=$(shell pkg-config --libs libavcodec libavformat libavutil libavfilter)

LIBGNUTLS_CFLAGS:=$(shell pkg-config --cflags gnutls)
LIBGNUTLS_LDFLAGS:=$(shell pkg-config --libs gnutls)

LIBGCRYPT_CFLAGS:=
LIBGCRYPT_LDFLAGS:=-lgcrypt

LIBJSONC_CFLAGS:=$(shell pkg-config --cflags json-c 2>/dev/null || pkg-config --cflags json)
LIBJSONC_LDFLAGS:=$(shell pkg-config --libs json-c 2>/dev/null || pkg-config --libs json)

# combine all flags
ALL_CFLAGS:=${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
			${LIBAV_CFLAGS} ${LIBGNUTLS_CFLAGS} \
			${LIBGCRYPT_CFLAGS} ${LIBJSONC_CFLAGS}
ALL_LDFLAGS:=${LDFLAGS} -lao -lpthread -lm \
			${LIBAV_LDFLAGS} ${LIBGNUTLS_LDFLAGS} \
			${LIBGCRYPT_LDFLAGS} ${LIBJSONC_LDFLAGS}

# build pianobar
ifeq (${DYNLINK},1)
pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} libpiano.so.0
	@echo "  LINK  $@"
	@${CC} -o $@ ${PIANOBAR_OBJ} -L. -lpiano ${ALL_LDFLAGS}
else
pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} \
		${LIBWAITRESS_HDR}
	@echo "  LINK  $@"
	@${CC} -o $@ ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} \
			${ALL_LDFLAGS}
endif

# build shared and static libpiano
libpiano.so.0: ${LIBPIANO_RELOBJ} ${LIBPIANO_HDR} ${LIBWAITRESS_RELOBJ} \
		${LIBWAITRESS_HDR} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ}
	@echo "  LINK  $@"
	@${CC} -shared -Wl,-soname,libpiano.so.0 -o libpiano.so.0.0.0 \
			${LIBPIANO_RELOBJ} ${LIBWAITRESS_RELOBJ} ${ALL_LDFLAGS}
	@ln -s libpiano.so.0.0.0 libpiano.so.0
	@ln -s libpiano.so.0 libpiano.so
	@echo "    AR  libpiano.a"
	@${AR} rcs libpiano.a ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ}


# build dependency files
%.d: %.c
	@set -e; rm -f $@; \
			$(CC) -M ${ALL_CFLAGS} $< > $@.$$$$; \
			sed '1 s,^.*\.o[ :]*,$*.o $@ : ,g' < $@.$$$$ > $@; \
			rm -f $@.$$$$

-include $(PIANOBAR_SRC:.c=.d)
-include $(LIBPIANO_SRC:.c=.d)
-include $(LIBWAITRESS_SRC:.c=.d)

# build standard object files
%.o: %.c
	@echo "    CC  $<"
	@${CC} -c -o $@ ${ALL_CFLAGS} $<

# create position independent code (for shared libraries)
%.lo: %.c
	@echo "    CC  $< (PIC)"
	@${CC} -c -fPIC -o $@ ${ALL_CFLAGS} $<

clean:
	@echo " CLEAN"
	@${RM} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} ${LIBWAITRESS_OBJ}/test.o \
			${LIBPIANO_RELOBJ} ${LIBWAITRESS_RELOBJ} pianobar libpiano.so* \
			libpiano.a waitress-test $(PIANOBAR_SRC:.c=.d) $(LIBPIANO_SRC:.c=.d) \
			$(LIBWAITRESS_SRC:.c=.d)

all: pianobar

waitress-test: ${LIBWAITRESS_TEST_OBJ}
	${CC} ${LDFLAGS} ${LIBWAITRESS_TEST_OBJ} ${LIBGNUTLS_LDFLAGS} -o waitress-test

test: waitress-test
	./waitress-test

ifeq (${DYNLINK},1)
install: pianobar install-libpiano
else
install: pianobar
endif
	install -d ${DESTDIR}/${BINDIR}/
	install -m755 pianobar ${DESTDIR}/${BINDIR}/
	install -d ${DESTDIR}/${MANDIR}/man1/
	install -m644 contrib/pianobar.1 ${DESTDIR}/${MANDIR}/man1/

install-libpiano:
	install -d ${DESTDIR}/${LIBDIR}/
	install -m644 libpiano.so.0.0.0 ${DESTDIR}/${LIBDIR}/
	ln -s libpiano.so.0.0.0 ${DESTDIR}/${LIBDIR}/libpiano.so.0
	ln -s libpiano.so.0 ${DESTDIR}/${LIBDIR}/libpiano.so
	install -m644 libpiano.a ${DESTDIR}/${LIBDIR}/
	install -d ${DESTDIR}/${INCDIR}/
	install -m644 src/libpiano/piano.h ${DESTDIR}/${INCDIR}/

.PHONY: install install-libpiano test debug all

=== debian/changelog ===
pianobar (2014.06.08-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream release.
  * Drop build dependencies of libmad0-dev and libfaad-dev, switch to libav*
  * Build against libjson-c-dev instead of libjson0-dev. Closes: #745009.
  * Switch to dh7 from CDBS.
  * Add pianobar-dbg package.
  * Add multiarch support.
  * Reduce exessive linking via --as-needed

  [ Luke Faraone ]
  * Add Unit 193 as uploader.
  * Correct libpianobar symbol file to remove Debian revision.

 -- Luke Faraone <lfaraone@debian.org>  Sun, 17 Aug 2014 11:46:41 -0700

pianobar (2013.09.15-2) unstable; urgency=medium

  * Rebuild against libgnutls28-dev/libgcrypt20-dev. Closes: #753142
  * Update debian/copyright to meet DEP5 standards.
  * Bump standards version, no changes needed.
  * Add upstream signing key to source packge.

 -- Luke Faraone <lfaraone@debian.org>  Sun, 17 Aug 2014 05:40:34 -0700

=== debian/control ===
Source: pianobar
Section: sound
Priority: optional
Maintainer: Luke Faraone <lfaraone@debian.org>
Uploaders:
 Romain Beauxis <toots@rastageeks.org>,
 Unit 193 <unit193@ubuntu.com>
Build-Depends:
 debhelper (>= 9),
 libao-dev,
 libavcodec-dev,
 libavfilter-dev,
 libavformat-dev,
 libavutil-dev,
 libgcrypt20-dev,
 libgnutls28-dev,
 libjson-c-dev,
 libpth-dev,
 pkg-config
Standards-Version: 3.9.5
Vcs-Bzr: http://anonscm.debian.org/bzr/collab-maint/pianobar
Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/pianobar
Homepage: http://6xq.net/html/00/17.html

Package: pianobar
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libaudio-scrobbler-perl
Description: console based player for Pandora radio
 pianobar is a cross-platform console client for the personalized web radio
 Pandora, supporting all important features the official Flash™ client has:
 .
    * Create, delete, rename stations and add more music
    * Rate and temporary ban tracks as well as move them to another station
    * “Shared stations”
 .
 and some that it does not have (yet):
 .
    * last.fm scrobbling
    * Proxy support for use in areas not supported by Pandora (outside the USA)
 .
 You need an account in order to use this player, so please consider
 create one for free before using pianobar at http://pandora.com.

Package: pianobar-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, pianobar (= ${binary:Version})
Description: console based player for Pandora radio - debugging symbols
 pianobar is a cross-platform console client for the personalized web radio
 Pandora, supporting all important features the official Flash™ client has:
 .
    * Create, delete, rename stations and add more music
    * Rate and temporary ban tracks as well as move them to another station
    * “Shared stations”
 .
 and some that it does not have (yet):
 .
    * last.fm scrobbling
    * Proxy support for use in areas not supported by Pandora (outside the USA)
 .
 You need an account in order to use this player, so please consider
 create one for free before using pianobar at http://pandora.com.
 .
 This package contains the debugging symbols.

Package: libpiano0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to interface with Pandora radio -- runtime files
 libpiano is a cross-platform library to interface with the personalized
 web radio Pandora, supporting all important features the official Flash™
 client has:
 .
    * Create, delete, rename stations and add more music
    * Rate and temporary ban tracks as well as move them to another station
    * “Shared stations”
 .
 and some that it does not have (yet):
 .
    * last.fm scrobbling
    * Proxy support for use in areas not supported by Pandora (outside the USA)
 .
 You need an account in order to use this player, so please consider
 create one for free before using pianobar at http://pandora.com.
 .
 This package provides the runtime files used to run application
 built against libpiano.

Package: libpiano-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: libpiano0 (= ${binary:Version}), ${misc:Depends}
Description: library to interface with Pandora radio -- development
 libpiano is a cross-platform library to interface with the personalized
 web radio Pandora, supporting all important features the official Flash™
 client has:
 .
    * Create, delete, rename stations and add more music
    * Rate and temporary ban tracks as well as move them to another station
    * “Shared stations”
 .
 and some that it does not have (yet):
 .
    * last.fm scrobbling
    * Proxy support for use in areas not supported by Pandora (outside the USA)
 .
 You need an account in order to use this player, so please consider
 create one for free before using pianobar at http://pandora.com.
 .
 This package provides the development files used to build application
 using libpiano.

## pianobar 2014.09.28

=== Makefile ===
--- 
+++ 
@@ -118,13 +118,6 @@
 	@${AR} rcs libpiano.a ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ}
 
 
-# build dependency files
-%.d: %.c
-	@set -e; rm -f $@; \
-			$(CC) -M ${ALL_CFLAGS} $< > $@.$$$$; \
-			sed '1 s,^.*\.o[ :]*,$*.o $@ : ,g' < $@.$$$$ > $@; \
-			rm -f $@.$$$$
-
 -include $(PIANOBAR_SRC:.c=.d)
 -include $(LIBPIANO_SRC:.c=.d)
 -include $(LIBWAITRESS_SRC:.c=.d)
@@ -132,12 +125,12 @@
 # build standard object files
 %.o: %.c
 	@echo "    CC  $<"
-	@${CC} -c -o $@ ${ALL_CFLAGS} $<
+	@${CC} -c -o $@ ${ALL_CFLAGS} -MMD -MF $*.d -MP $<
 
 # create position independent code (for shared libraries)
 %.lo: %.c
 	@echo "    CC  $< (PIC)"
-	@${CC} -c -fPIC -o $@ ${ALL_CFLAGS} $<
+	@${CC} -c -fPIC -o $@ ${ALL_CFLAGS} -MMD -MF $*.d -MP $<
 
 clean:
 	@echo " CLEAN"
@@ -159,18 +152,18 @@
 else
 install: pianobar
 endif
-	install -d ${DESTDIR}/${BINDIR}/
-	install -m755 pianobar ${DESTDIR}/${BINDIR}/
-	install -d ${DESTDIR}/${MANDIR}/man1/
-	install -m644 contrib/pianobar.1 ${DESTDIR}/${MANDIR}/man1/
+	install -d ${DESTDIR}${BINDIR}/
+	install -m755 pianobar ${DESTDIR}${BINDIR}/
+	install -d ${DESTDIR}${MANDIR}/man1/
+	install -m644 contrib/pianobar.1 ${DESTDIR}${MANDIR}/man1/
 
 install-libpiano:
-	install -d ${DESTDIR}/${LIBDIR}/
-	install -m644 libpiano.so.0.0.0 ${DESTDIR}/${LIBDIR}/
-	ln -s libpiano.so.0.0.0 ${DESTDIR}/${LIBDIR}/libpiano.so.0
-	ln -s libpiano.so.0 ${DESTDIR}/${LIBDIR}/libpiano.so
-	install -m644 libpiano.a ${DESTDIR}/${LIBDIR}/
-	install -d ${DESTDIR}/${INCDIR}/
-	install -m644 src/libpiano/piano.h ${DESTDIR}/${INCDIR}/
+	install -d ${DESTDIR}${LIBDIR}/
+	install -m644 libpiano.so.0.0.0 ${DESTDIR}${LIBDIR}/
+	ln -s libpiano.so.0.0.0 ${DESTDIR}${LIBDIR}/libpiano.so.0
+	ln -s libpiano.so.0 ${DESTDIR}${LIBDIR}/libpiano.so
+	install -m644 libpiano.a ${DESTDIR}${LIBDIR}/
+	install -d ${DESTDIR}${INCDIR}/
+	install -m644 src/libpiano/piano.h ${DESTDIR}${INCDIR}/
 
 .PHONY: install install-libpiano test debug all

=== debian/changelog ===
pianobar (2014.09.28-1build1) wily; urgency=medium

  * No-change rebuild against ffmpeg 2.7

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 01 Sep 2015 18:24:12 +0200

pianobar (2014.09.28-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version; no changes needed.

 -- Luke Faraone <lfaraone@debian.org>  Sat, 11 Jul 2015 22:40:38 +0000

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,10 @@
  libjson-c-dev,
  libpth-dev,
  pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Bzr: http://anonscm.debian.org/bzr/collab-maint/pianobar
 Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/pianobar
-Homepage: http://6xq.net/html/00/17.html
+Homepage: http://6xq.net/projects/pianobar/
 
 Package: pianobar
 Architecture: any

## pianobar 2015.11.22

=== Makefile ===
# makefile of pianobar

PREFIX:=/usr/local
BINDIR:=${PREFIX}/bin
LIBDIR:=${PREFIX}/lib
INCDIR:=${PREFIX}/include
MANDIR:=${PREFIX}/share/man
DYNLINK:=0
CFLAGS?=-O2 -DNDEBUG

ifeq (${CC},cc)
	OS := $(shell uname)
	ifeq (${OS},Darwin)
		CC:=gcc -std=c99
	else ifeq (${OS},FreeBSD)
		CC:=cc -std=c99
	else ifeq (${OS},OpenBSD)
		CC:=cc -std=c99
	else
		CC:=c99
	endif
endif

PIANOBAR_DIR:=src
PIANOBAR_SRC:=\
		${PIANOBAR_DIR}/main.c \
		${PIANOBAR_DIR}/player.c \
		${PIANOBAR_DIR}/settings.c \
		${PIANOBAR_DIR}/terminal.c \
		${PIANOBAR_DIR}/ui_act.c \
		${PIANOBAR_DIR}/ui.c \
		${PIANOBAR_DIR}/ui_readline.c \
		${PIANOBAR_DIR}/ui_dispatch.c
PIANOBAR_OBJ:=${PIANOBAR_SRC:.c=.o}

LIBPIANO_DIR:=src/libpiano
LIBPIANO_SRC:=\
		${LIBPIANO_DIR}/crypt.c \
		${LIBPIANO_DIR}/piano.c \
		${LIBPIANO_DIR}/request.c \
		${LIBPIANO_DIR}/response.c \
		${LIBPIANO_DIR}/list.c
LIBPIANO_OBJ:=${LIBPIANO_SRC:.c=.o}
LIBPIANO_RELOBJ:=${LIBPIANO_SRC:.c=.lo}
LIBPIANO_INCLUDE:=${LIBPIANO_DIR}

LIBAV_CFLAGS:=$(shell pkg-config --cflags libavcodec libavformat libavutil libavfilter)
LIBAV_LDFLAGS:=$(shell pkg-config --libs libavcodec libavformat libavutil libavfilter)

LIBCURL_CFLAGS:=$(shell pkg-config --cflags libcurl)
LIBCURL_LDFLAGS:=$(shell pkg-config --libs libcurl)

LIBGCRYPT_CFLAGS:=
LIBGCRYPT_LDFLAGS:=-lgcrypt

LIBJSONC_CFLAGS:=$(shell pkg-config --cflags json-c 2>/dev/null || pkg-config --cflags json)
LIBJSONC_LDFLAGS:=$(shell pkg-config --libs json-c 2>/dev/null || pkg-config --libs json)

LIBAO_CFLAGS:=$(shell pkg-config --cflags ao)
LIBAO_LDFLAGS:=$(shell pkg-config --libs ao)

# combine all flags
ALL_CFLAGS:=${CFLAGS} -I ${LIBPIANO_INCLUDE} \
			${LIBAV_CFLAGS} ${LIBCURL_CFLAGS} \
			${LIBGCRYPT_CFLAGS} ${LIBJSONC_CFLAGS} \
			${LIBAO_CFLAGS}
ALL_LDFLAGS:=${LDFLAGS} -lpthread -lm \
			${LIBAV_LDFLAGS} ${LIBCURL_LDFLAGS} \
			${LIBGCRYPT_LDFLAGS} ${LIBJSONC_LDFLAGS} \
			${LIBAO_LDFLAGS}

# build pianobar
ifeq (${DYNLINK},1)
pianobar: ${PIANOBAR_OBJ} libpiano.so.0
	@echo "  LINK  $@"
	@${CC} -o $@ ${PIANOBAR_OBJ} -L. -lpiano ${ALL_LDFLAGS}
else
pianobar: ${PIANOBAR_OBJ} ${LIBPIANO_OBJ}
	@echo "  LINK  $@"
	@${CC} -o $@ ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} ${ALL_LDFLAGS}
endif

# build shared and static libpiano
libpiano.so.0: ${LIBPIANO_RELOBJ} ${LIBPIANO_OBJ}
	@echo "  LINK  $@"
	@${CC} -shared -Wl,-soname,libpiano.so.0 -o libpiano.so.0.0.0 \
			${LIBPIANO_RELOBJ} ${ALL_LDFLAGS}
	@ln -fs libpiano.so.0.0.0 libpiano.so.0
	@ln -fs libpiano.so.0 libpiano.so
	@echo "    AR  libpiano.a"
	@${AR} rcs libpiano.a ${LIBPIANO_OBJ}


-include $(PIANOBAR_SRC:.c=.d)
-include $(LIBPIANO_SRC:.c=.d)

# build standard object files
%.o: %.c
	@echo "    CC  $<"
	@${CC} -c -o $@ ${ALL_CFLAGS} -MMD -MF $*.d -MP $<

# create position independent code (for shared libraries)
%.lo: %.c
	@echo "    CC  $< (PIC)"
	@${CC} -c -fPIC -o $@ ${ALL_CFLAGS} -MMD -MF $*.d -MP $<

clean:
	@echo " CLEAN"
	@${RM} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} \
			${LIBPIANO_RELOBJ} pianobar libpiano.so* \
			libpiano.a $(PIANOBAR_SRC:.c=.d) $(LIBPIANO_SRC:.c=.d)

all: pianobar

ifeq (${DYNLINK},1)
install: pianobar install-libpiano
else
install: pianobar
endif
	install -d ${DESTDIR}${BINDIR}/
	install -m755 pianobar ${DESTDIR}${BINDIR}/
	install -d ${DESTDIR}${MANDIR}/man1/
	install -m644 contrib/pianobar.1 ${DESTDIR}${MANDIR}/man1/

install-libpiano:
	install -d ${DESTDIR}${LIBDIR}/
	install -m644 libpiano.so.0.0.0 ${DESTDIR}${LIBDIR}/
	ln -fs libpiano.so.0.0.0 ${DESTDIR}${LIBDIR}/libpiano.so.0
	ln -fs libpiano.so.0 ${DESTDIR}${LIBDIR}/libpiano.so
	install -m644 libpiano.a ${DESTDIR}${LIBDIR}/
	install -d ${DESTDIR}${INCDIR}/
	install -m644 src/libpiano/piano.h ${DESTDIR}${INCDIR}/

.PHONY: install install-libpiano test debug all

=== debian/changelog ===
pianobar (2015.11.22-1) UNRELEASED; urgency=medium

  * New upstream release.
  * d/control: Update homepage.
  * d/control: Drop build-dep on libgnutls28-dev, add libcurl4-gnutls-dev.
  * d/pianobar.docs: README → README.md
  * d/libpiano0.symbols: Update for the removal of libwaitress.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 22 Nov 2015 14:13:45 -0500

=== debian/control ===
--- 
+++ 
@@ -12,15 +12,15 @@
  libavfilter-dev,
  libavformat-dev,
  libavutil-dev,
+ libcurl4-gnutls-dev,
  libgcrypt20-dev,
- libgnutls28-dev,
  libjson-c-dev,
  libpth-dev,
  pkg-config
 Standards-Version: 3.9.6
 Vcs-Bzr: http://anonscm.debian.org/bzr/collab-maint/pianobar
 Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/pianobar
-Homepage: http://6xq.net/projects/pianobar/
+Homepage: https://6xq.net/pianobar/
 
 Package: pianobar
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_build:
	dh_auto_build -- DYNLINK=1

override_dh_strip:
	dh_strip --dbg-package=pianobar-dbg

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_install:
	dh_install --list-missing

override_dh_auto_install:
	dh_auto_install -- DYNLINK=1 PREFIX=/usr LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/

%:
	dh $@

=== debian/watch ===
# Vcs-Git: git://github.com/PromyLOPh/pianobar.git
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
http://6xq.net/projects/pianobar/ pianobar-(.*)\.tar\.bz2
